Skip to main content
GET
cURL

Query Parameters

page
string
default:1

The 1-based page number to return, as a positive integer. Defaults to 1.

size
string
default:20

The number of instrument configurations per page, as an integer between 1 and 100. Defaults to 20.

Response

Returns a page of instrument configurations

instrumentConfigurations
object[]
required

The instrument configurations for the requested page

currentPage
integer<int32>
required

The 1-based index of the returned page

totalPages
integer<int32>
required

The total number of pages available for the current page size

pageSize
integer<int32>
required

The maximum number of instrument configurations per page

totalElements
integer<int32>
required

The total number of instrument configurations across all pages